ltib installation problem in i.mx28

cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

ltib installation problem in i.mx28

2,064 Views
catherinefiguei
Contributor I

hai for the last few days i was trying to install the ltib package for i.mx28...but the installation failed and the following errors were shown:

-------            -----------   ---------------
glibc-devel        0         not installed
zlib               0         not installed

Died at ./ltib line 1397.

traceback:

main::host_checks:1397

  main:542

Started: Thu Feb  7 15:39:38 2013

Ended:   Thu Feb  7 15:39:38 2013

Elapsed: 0 seconds

Build Failed


i am using ubuntu12.04 and i dont know how to resolve this issue........from the posts i have seen i doubt if i will be able to install the ltib package in ubuntu 12.04.....should i switch on to ubuntu 10.04 or 10.10.....i used the following  linux bsp guide to install the ltib packages.....


please do help i am in need.......


thanks

catherine g f

Labels (1)
0 Kudos
3 Replies

908 Views
LeonardoSandova
Specialist I

Hi Catherine,

I remember there are patches on the community regarding this issue. Please take a look at this file

bin/Ltibutils.pm

Search for those two strings: zlib and glibc-devel ADD the correct path in each case. The correct path can be found using the command 'find' from a shell on your Ubuntu Host.

Let us know if you have success.

Leo

908 Views
Yuri
NXP Employee
NXP Employee

The following (about i.MX53 QSB) may help - it works for i.MX28 LTIB too.

Ubuntu 11.10 Oneiric 64-bit Virtual Machine and building i.MX53 L2.6.35-11-09-01

908 Views
saurabh_a
Contributor I

Hello Catherine,

I have also done successful installation of LTIB in Ubuntu 10.04.We need certain packages to be installed in Ubuntu which are required for installation of LTIB else it would fail.

Also after installation of packages there if a fix given for installing LTIB in 12.04 on i.MX Community itself.Please follow that also.

Thanks,

Saurabh

0 Kudos